#navbar-container { background-color: #6e55bf; }
.navbar-header:before { background-color: #6e55bf; }
#mainnav-menu>.active-link>a, #mainnav-menu>.active-link>a:hover{ background-color: #6e55bf; }
#mainnav-menu>.active-sub>a, #mainnav-menu>.active-sub>a:hover { background-color: #6e55bf; }
#mainnav-menu ul .active-link a, .menu-popover .sub-menu ul .active-link a { color: #6e55bf; }
#content-container:before { background-color: #6e55bf; }
.navbar-content { background-color: #6e55bf; }
.text-center {text-align: center!important;}
.input-bor {border: 1px solid #eee;}

/* BUTTONS */
/*======================================*/
.btn-primary,
.btn-primary:focus {
	background-color: #6e55bf;
	border-color: #6e55bf !important;
	color: #fff;
}


.btn-primary:hover,
.btn-primary:active,
.btn-primary.active,
.btn-primary:disabled,
.btn-primary.disabled,
.btn-primary:not([class*="btn-active-"]) + .dropdown-menu > li > a:hover,
.btn-primary:not([class*="btn-active-"]) + .dropdown-menu > li > a:focus,
.btn-primary:not([class*="btn-active-"]) + .dropdown-menu > .active > a,
.btn-primary + .dropdown-menu:not(.head-list) > li > a.active,
.open > .dropdown-toggle.btn-primary,
.btn-hover-primary:hover,
.btn-hover-primary:active,
.btn-hover-primary.active,
.btn-active-primary.btn:active,
.btn-active-primary.btn.active,
.btn-active-primary + .dropdown-menu > li > a:hover,
.btn-active-primary + .dropdown-menu > li > a:focus,
.btn-active-primary + .dropdown-menu > .active > a,
.open .dropdown-toggle.btn.btn-active-primary,
.btn-group.open .dropdown-toggle.btn.btn-active-primary {
  background-color: #6e55bf !important;
  border-color: #6e55bf !important;
  color: #fff !important;
}
/* PANELS */
/*======================================*/
.panel-primary .panel-heading,
.panel-primary .panel-footer,
.panel-primary.panel-colorful {
  background-color: #6e55bf;
  border-color: #6e55bf;
  color: #fff;
}
.panel-primary.panel-colorful {
  box-shadow: 0 1px 1px #00302c;
}
.panel-footer {
  background-color: #fdfdfe;
  color: #7a878e;
}
/* MAGIC CHECK */
/*======================================*/
.magic-radio + label:hover:before,
.magic-checkbox + label:hover:before {
  border-color: #6e55bf;
}
.magic-checkbox:checked + label:before {
  background: #6e55bf;
  border-color: #6e55bf;
}
.magic-radio + label:after {
  background: #6e55bf;
}
.magic-radio:checked + label:before {
  border-color: #6e55bf;
}
.magic-radio:checked:focus + label:before,
.magic-checkbox:checked:focus + label:before {
  box-shadow: 0 0 0 10px rgba(0, 150, 136, 0.17), inset 0 0 0 10px rgba(22, 119, 179, 0.17);
}
/* MIX COMPONENTS */
/*======================================*/
.alert-primary,
.btn-primary {
  border-color: #6e55bf;
}
.btn-primary,
.label-primary,
.badge-primary,
.progress-bar-primary,
.alert-primary,
.bg-primary {
  background-color: #6e55bf;
  color: #fff;
}

table th.fixedHeader { position: sticky; top: 0; }
textarea.fixed { resize: none; }
table.table-hover tbody tr:hover{ background: #d9e4ef!important;color: black!important;font-weight: 600!important; }
.required:after {content:' *';color:red;}
div.vcenter { padding-top: 4px; }

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

.cursor {cursor: pointer!important;}
.float-right {float: right;}
.float-left {float: left;}
.font-13 {font-size: 13px!important;}
.font-16 {font-size: 16px!important;}
.font-18 {font-size: 20px!important;}
.text-white {color: white!important;}
.text-left {text-align: left!important}
.text-right {text-align: right!important}
.p-1 {padding: 5px!important;}
.p-2 {padding: 10px!important;}
.p-3 {padding: 15px!important;}
.ml-1 {margin-left: 10px!important;}
.ml-2 {margin-left: 20px!important;}
.ml-3 {margin-left: 30px!important;}
.mr-1 {margin-right: 10px!important;}
.mr-2 {margin-right: 20px!important;}
.mr-3 {margin-right: 30px!important;}
.mt-1 {margin-top: 10px!important;}
.mt-2 {margin-top: 20px!important;}
.mt-3 {margin-top: 30px!important;}
.width10 {width: 10%!important;}
.width20 {width: 20%!important;}
.width30 {width: 30%!important;}
.width50 {width: 50%!important;}
.width70 {width: 70%!important;}
.width80 {width: 80%!important;}

.label-naver { background: #1dca65; }
.label-kakao { background: #fee505; color: #333; }


.loading-wrap { position: fixed; left: 0; right: 0; top: 0; bottom: 0; background: rgba(0, 0, 0, 0.5); z-index: 10000; display: none; }
.loading-wrap .sk-fading-circle { left: 50%; top: 50%; transform: translate(-50%, -50%); margin: 0; }

.swal2-container { z-index: 10000!important; }

.fc-event-container { max-height: 200px; overflow: auto; }

/* 메세지 보내기 */
.control-label { word-break: keep-all; }
.preview-image-wrap { padding-bottom: 100%; position: relative; }
.preview-image-wrap img { position: absolute; left: 0; top: 0; }

.file-upload-wrap .file { border-radius: 3px 0 0 3px; }
.file-upload-wrap .path { border-radius: 0; pointer-events: none; }
.file-upload-wrap .preview { border-radius: 0 3px 3px 0; }


/* th 디자인 */
/*#page-content #pay-info-table th,*/
#fee-info-table th,
#registered-normal-list th,
#registered-android-list th,
/*#callback-android-list th,*/
/*#callback-normal-list th,*/
#callback-list th,
#block-list th,
#statistics-list th,
#image-history-table th,
#pay-fee-table th,
#free-fee-table th,
#service-payment-history th,
#sms-payment-history th,
#charge-remainder-table th,
#common-image-table th
{
    background-color: #3a444e;
    color: #fff!important;
}

#container .table.table-center th,
#container .table.table-center td {
  text-align: center;
}
/* table - checkbox */

.bootstrap-table input[type="checkbox"]{
    transition: all 0.2s;
    border: 1px solid rgba(0, 0, 0, 0.15);
    box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.07);
    content: '';
    height: 17px;
    left: 0;
    top: 0;
    width: 17px;
    transition: all 0.3s;
    border-radius: 2px;
}

.bootstrap-table th input[type="checkbox"],
.bootstrap-table td input[type="checkbox"] {
  margin: 7px 0 0 0!important;
}


/* flex */
.flex { display: flex!important; border : 0!important;}

/* text-color */
.text-blue { color : blue; }
.text-red { color : red; }
.text-green { color : green; }

/* modal size */
.modal-dialog.full-size { width:100%;}
.modal-dialog.great-size { width:1600px;}
.modal-dialog.large-size { width:1200px;}
.modal-dialog.medium-size { width:800px;}
.modal-dialog.small-size { width:600px;}
.modal-dialog.tiny-size { width:400px;}
.modal-dialog.mini-size { width:300px;}

#sms-fee-table .free { background-color : rgb(255, 209, 164); color : #8D7547; font-weight: 800;}
#sms-fee-table .pay { background-color : rgb(203, 255, 151); color : #8D7547; font-weight: 800;}


.user-sample-image img {width:290px; height: 350px;}
.user-image-tab a.active {background-color: #d1d1d1!important; color: #ff0000!important;}